<?xml version="1.0" encoding="windows-1250"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                version="1.0"
		>
<xsl:output method="xml" encoding="utf-8" indent="yes" />
<xsl:decimal-format decimal-separator="."/>

	<xsl:key name="level" match="/DATA/INLEVELS/INLEVELS/INLEVELS/LEVEL"
			 use="@UniqueID"/>

	<xsl:template match="/DATA">
	<DATA mode="all">
		<xsl:apply-templates select="*"/>
	</DATA>
	</xsl:template>
	
<xsl:template match="/DATA/INLEVELS">
	<xsl:if test="generate-id(INLEVELS/INLEVELS/LEVEL) = generate-id(key('level', INLEVELS/INLEVELS/LEVEL/@UniqueID))">
		<LEVEL UniqueID="{INLEVELS/INLEVELS/LEVEL/@UniqueID}"/>
	</xsl:if>
</xsl:template>
</xsl:stylesheet>